Page MenuHomePhabricator

[libc] Fix couple of corner cases in remquo.
ClosedPublic

Authored by sivachandra on Nov 30 2020, 4:08 PM.

Details

Summary

These two cases are fixed:

  1. If numerator is not zero and denominator is infinity, then the

numerator is returned as the remainder.

  1. If numerator and denominator are equal in magnitude, then quotient

with the right sign is returned.

The differet tests of remquo, remquof and remquol have been unified
into a single file to avoid duplication.

Diff Detail

Event Timeline

sivachandra created this revision.Nov 30 2020, 4:08 PM
sivachandra requested review of this revision.Nov 30 2020, 4:08 PM
lntue accepted this revision.Dec 1 2020, 12:04 PM
This revision is now accepted and ready to land.Dec 1 2020, 12:04 PM
This revision was landed with ongoing or failed builds.Dec 2 2020, 11:49 AM
This revision was automatically updated to reflect the committed changes.